# keyframetreestore.cpp File Reference

Template File. More...

`#include "keyframetreestore.h"`
`#include <synfig/valuenode.h>`
`#include "iconcontroller.h"`
`#include <synfig/valuenode_timedswap.h>`
`#include <gtkmm/button.h>`
`#include <gtkmm/treerowreference.h>`
`#include <synfig/canvas.h>`
`#include <synfig/keyframe.h>`
`#include <time.h>`
`#include <cstdlib>`
`#include <ETL/smart_ptr>`
`#include <synfigapp/action.h>`
`#include <synfigapp/instance.h>`
`#include "onemoment.h"`
`#include <synfig/exception.h>`
`#include "general.h"`

## Functions

synfig::KeyframeList::iterator | model_iter_2_keyframe_iter (Gtk::TreeModel::iterator iter)
int | get_index_from_model_iter (Gtk::TreeModel::iterator iter)
void | clear_iterator (GtkTreeIter *iter)

## Detailed Description

Template File.

$Id$

## Function Documentation

synfig::KeyframeList::iterator model_iter_2_keyframe_iter | ( | Gtk::TreeModel::iterator | iter | ) |

int get_index_from_model_iter | ( | Gtk::TreeModel::iterator | iter | ) |

void clear_iterator | ( | GtkTreeIter * | iter | ) |